/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jbossmq.test;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.jboss.test.JBossTestSetup;


/**
 * JBossMQ tests over HTTP
 * @author Hiram Chirino <Cojonudo14@hotmail.com>
 */
public class HTTPJBossMQUnitTestCase
   extends JBossMQUnitTest
{
   public HTTPJBossMQUnitTestCase(String name) throws Exception
   {
      super(name);
   }
   
   public static Test suite() throws Exception
   {
      TestSuite suite = new TestSuite();
      
      suite.addTest(new JBossTestSetup(new TestSuite(HTTPJBossMQUnitTestCase.class))
      {
         protected void setUp() throws Exception
         {
            this.getLog().info("HTTPJBossMQUnitTestCase started");
            JBossMQUnitTest.TOPIC_FACTORY = "HTTPConnectionFactory";
            JBossMQUnitTest.QUEUE_FACTORY = "HTTPConnectionFactory";
         }
         protected void tearDown() throws Exception
         {
            this.getLog().info("HTTPJBossMQUnitTestCase done");
         }
      });

      return suite;
   }

   static public void main( String []args )
   {
      String newArgs[] = { "org.jboss.test.jbossmq.test.HTTPJBossMQUnitTestCase" };
      junit.swingui.TestRunner.main(newArgs);
   }
}
